/* --------------------------------------------------------------------
					   standard includes
   -------------------------------------------------------------------- */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

/* --------------------------------------------------------------------
						 msdos includes
   -------------------------------------------------------------------- */
#include <io.h>
#include <process.h>

/* --------------------------------------------------------------------
						 local includes
   -------------------------------------------------------------------- */
#include "pal.h"
#include "palkeys.h"
#include "paldlg.h"

/* --------------------------------------------------------------------
					  constant definitions
   -------------------------------------------------------------------- */
#define TRUE            1
#define FALSE           0

#define DONE            1
#define NOT_DONE        0

#define RESTART         'R'
#define PREV            'P'
#define NEXT            'N'
#define NEXT_DONE       'D'
#define SELECT          'S'

#define FINISHED		'F'
#define NOT_FINISHED	'N'

#define UNDO            'U'
#define CMD_OPEN	    1
#define CMD_ABOUT	    2

#define MAX_ROWS	    13
#define MAX_COLS	    32
#define SokDisksize		MAX_ROWS * MAX_COLS /2

#define BUF_SIZE        MAX_ROWS * MAX_COLS + 1

#define BLOCK_WIDTH	    15
#define BLOCK_HEIGHT	15

#define BLOCK           1
#define BLOCK_SAFE      2
#define WALL_BLOCK      3
#define PUSHER          4
#define PUSHER_SAFE     5
#define SAFE_SPOT       6
#define BLANK_SPOT      7

#define COPY			"1996"

/* --------------------------------------------------------------------
						 prototypes
   -------------------------------------------------------------------- */
void ShowHelp(void);
void Interact(void);
void MoveChar(int Direction);
void NextLevel(char PrevNext);
int  SelectLevel(void);
void Win(char AllDone);


